<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="java.util.Calendar"
	import="java.util.Locale"
	import="java.text.SimpleDateFormat"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~export_missing_consent_data_sample_list.js,~../reggie-2.js" 
	styles="path.css,~../css/reggie-2.css,~export.css"
/>
<base:body >

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Export missing consent data sample list" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Parameters</div>
		<div class="step-content">
			<table class="step-form">
			<tr>
				<td class="prompt">No parameters</td>
				<td class="input"></td>
				<td class="help">Press a button to continue.</td>
			</tr>
			</table>
		</div>
	</div>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gopreview" title="Preview" image="<%=home+"/images/export.png"%>" /></td>
		<td><base:button id="goexport" title="Download" image="<%=home+"/images/download.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	<div id="previewWrapper" style="display: none;">
		<div>
			<span id="previewTitle">Preview</span>
			<span id="previewWarning"></span>
		</div>
		<div id="previewList"></div>
	</div>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>